Bug 710808 - Screen saver does not play well with other modal dialogs for example Brasero
Screen saver does not play well with other modal dialogs for example Brasero
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-04 18:19 EDT by wdc
Modified: 2012-08-07 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wdc 2011-06-04 18:19:47 EDT
Description of problem:

Walking away from a long task that pops up a dialog box during work
or after completion is not a good idea under Fedora 15 GNOME 3.
The screen saver doesn't properly offer you the password dialog box
when you come back.

I'll bet its some inappropriate sharing of global variables in the modal dialog box code whereby the screen saver and the other app conflict.

Version-Release number of selected component (if applicable):

Default GNOME 3 as shipped with Fedora 15.

How reproducible:

ALWAYS.

Steps to Reproduce:
1. Get yourself a CDRW disk so you can reuse it after this test.
2. Make sure your screen saver is set to lock and to timeout after 10 minutes.
3. Initiate a CD burn of via Brasero.
4. Walk away.
  
Actual results:

CD burn finishes successfully, but you can't get back on.
Move mouse or touch key.
You see the screen as it was during the Brasero burn when the screen saver ran.
There will be a  modal dialog box up with status of the burn in progress.
The mouse moves just fine.
But you can't do anything.

Expected results:

Dialog box should pop up prompting for password to resume session.
When session resumes you should see the Brasero dialog box now showing 
completed successful burn.


Additional info:

Work around:

CTRL/ALT/F2 to get tty virtual terminal window.
Log in as root.
ps ax to find the screen saver dialog process.
Kill it.
Return to regular window CTRL/ALT/F1
THEN you are offered the GNOME 3 password dialog box and the session resumes.

I marked this urgent because anyone who doesn't know they can log in as root from another virtual terminal is DEAD in the water after the screen saver runs.
Feel free to lower the severity if I've mis-stated.
Comment 1 Fedora Admin XMLRPC Client 2011-06-21 11:57:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-06-21 12:00:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2012-08-07 14:25:43 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.